Sympa::Request::Collection(3Sympa)

NAME
Sympa::Request::Collection - Collection of requests

SYNOPSIS
  use Sympa::Request::Collection;
  $spool = Sympa::Request::Collection->new(
      context => $list, action => $action, sender => $sender,
      key1 => $val1, key2 => [$val2]);
  ($request, $handle) = $spool->next;

DESCRIPTION
Sympa::Request::Collection provides pseudo-spool to generate a set of Sympa::Request instances.

  Methods

new ( context => $that, action => $action, sender => $sender, [ key => val, ... ] )
next ( )
    next() returns Sympa::Request instances.

    Options given to new() are used to generate instances. If one of their value is arrayref, next() repeatedly generates instances over each array item.

quarantine ( )
remove ( )
store ( )
    Do nothing.

SEE ALSO
Sympa::Request, Sympa::Spool.

HISTORY
Sympa::Request::Collection appeared on Sympa 6.2.15.